PWAs

GET https://pushye.com/api/pwas/
curl --request GET \
--url 'https://pushye.com/api/pwas/' \
--header 'Authorization: Bearer {api_key}' \
Parámetros Detalles Descripción
search Opcional Cadena La cadena de búsqueda.
search_by Opcional Cadena ¿Qué campo estás buscando? Los valores permitidos son: name.
datetime_field Opcional Cadena Valores permitidos: datetime, last_datetime
datetime_start Opcional Cadena Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Opcional Cadena Filter results up to this datetime. Y-m-d H:i:s format.
order_by Opcional Cadena Qué campo ordenar los resultados por. Los valores permitidos son: pwa_id, name, datetime, last_datetime.
order_type Opcional Cadena El orden de los resultados. Los valores permitidos son: ASC para orden ascendente, y DESC para orden descendente.
page Opcional Entero El número de página del que deseas obtener resultados. Por defecto es 1.
results_per_page Opcional Entero Cuántos resultados deseas por página. Los valores permitidos son: 10, 25, 50, 100, 250, 500, 1000. Por defecto es 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "name": "Example app",
            "settings": {
                "short_name": "Example",
                "description": "Example PWA application.",
                "start_url": "https://example.com/",
                "display": "standalone",
                "orientation": "any",
                "background_color": "#ffffff",
                "theme_color": "#237fff",
                "app_icon_url": "https://example.com/icon.png",
                "app_icon_maskable_url": "",
                "mobile_screenshot_urls": ["", "", "", "", "", ""],
                "desktop_screenshot_urls": ["", "", "", "", "", ""],
                "shortcuts": [
                    {"name": "", "description": "", "url": "", "icon_url": ""},
                    {"name": "", "description": "", "url": "", "icon_url": ""},
                    {"name": "", "description": "", "url": "", "icon_url": ""}
                ],
                "id": "",
                "dir": "auto",
                "lang": "en",
                "scope_url": "https://example.com/"
            },
            "manifest": {
                "name": "Example app",
                "short_name": "Example",
                "description": "Example PWA application.",
                "start_url": "https://example.com/",
                "display": "standalone",
                "orientation": "any",
                "background_color": "#ffffff",
                "theme_color": "#237fff",
                "lang": "en",
                "dir": "auto",
                "scope_url": "https://example.com/",
                "icons": [
                    {
                        "src": "https://example.com/icon.png",
                        "type": "image/png",
                        "purpose": "any",
                        "sizes": "512x512"
                    }
                ]
            },
            "last_datetime": null,
            "datetime": "2026-07-29 02:28:48"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pushye.com/api/pwas?page=1",
        "last": "https://pushye.com/api/pwas?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushye.com/api/pwas?page=1"
    }
}
GET https://pushye.com/api/pwas/{pwa_id}
curl --request GET \
--url 'https://pushye.com/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Example app",
            "short_name": "Example",
            "start_url": "https://example.com/",
            "display": "standalone",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": null,
        "datetime": "2026-07-29 02:28:48"
    }
}
POST https://pushye.com/api/pwas
Parámetros Detalles Descripción
name Requerido Cadena The full name of your PWA app - will be shown in your phone home screen or desktop.
short_name Opcional Cadena Optional short name of your PWA - will be shown when there is not enough room to display the full name.
description Opcional Cadena Optional short description of your PWA - will be shown in some devices when installing and after installation.
start_url Opcional Cadena The full URL that opens when your PWA is launched.
background_color Opcional Cadena The background color used on the splash screen and while the app is loading.
theme_color Opcional Cadena The browser UI color that matches your app's theme.
app_icon_url Requerido Cadena The main icon of your app. Make sure the icon is 512x512 pixels, PNG file.
app_icon_maskable_url Opcional Cadena Make sure the icon is 512x512 pixels, PNG file. What is a maskable icon?
mobile_screenshot_url_{1-6} Opcional Cadena Optional mobile screenshots shown on the installation prompt.
desktop_screenshot_url_{1-6} Opcional Cadena Optional desktop screenshots shown on the installation prompt.
shortcut_name_{1-3} Opcional Cadena Name for the shortcut as displayed on the device.
shortcut_description_{1-3} Opcional Cadena Optional description to explain the shortcut.
shortcut_url_{1-3} Opcional Cadena URL the shortcut should open.
shortcut_icon_url_{1-3} Opcional Cadena Make sure the icon is 128x128 pixels, PNG file.
id Opcional Cadena Optional unique identifier for the PWA. Useful for updates and maintaining identity across installations.
display Opcional Cadena Valores permitidos: fullscreen, standalone, minimal-ui, browser
orientation Opcional Cadena Valores permitidos: portrait, landscape, any
dir Opcional Cadena Valores permitidos: auto, ltr, rtl
lang Opcional Cadena en for English, de for German, etc.
scope_url Opcional Cadena Defines the navigation scope of your PWA. Only pages within this scope will be accessible while the app is running. Typically matches the start URL path.
curl --request POST \
--url 'https://pushye.com/api/pwas' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example app' \
--form 'short_name=Example' \
--form 'description=Example PWA application.' \
--form 'start_url=https://example.com/' \
--form 'app_icon_url=https://example.com/icon.png' \
--form 'background_color=#ffffff' \
--form 'theme_color=#237fff' \
--form 'lang=en' \
--form 'scope_url=https://example.com/'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Example app",
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "lang": "en",
            "dir": "auto",
            "scope_url": "https://example.com/",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": null,
        "datetime": "2026-07-29 02:28:48"
    }
}
POST https://pushye.com/api/pwas/{pwa_id}
Parámetros Detalles Descripción
name Opcional Cadena The full name of your PWA app - will be shown in your phone home screen or desktop.
short_name Opcional Cadena Optional short name of your PWA - will be shown when there is not enough room to display the full name.
description Opcional Cadena Optional short description of your PWA - will be shown in some devices when installing and after installation.
start_url Opcional Cadena The full URL that opens when your PWA is launched.
background_color Opcional Cadena The background color used on the splash screen and while the app is loading.
theme_color Opcional Cadena The browser UI color that matches your app's theme.
app_icon_url Opcional Cadena The main icon of your app. Make sure the icon is 512x512 pixels, PNG file.
app_icon_maskable_url Opcional Cadena Make sure the icon is 512x512 pixels, PNG file. What is a maskable icon?
mobile_screenshot_url_{1-6} Opcional Cadena Optional mobile screenshots shown on the installation prompt.
desktop_screenshot_url_{1-6} Opcional Cadena Optional desktop screenshots shown on the installation prompt.
shortcut_name_{1-3} Opcional Cadena Name for the shortcut as displayed on the device.
shortcut_description_{1-3} Opcional Cadena Optional description to explain the shortcut.
shortcut_url_{1-3} Opcional Cadena URL the shortcut should open.
shortcut_icon_url_{1-3} Opcional Cadena Make sure the icon is 128x128 pixels, PNG file.
id Opcional Cadena Optional unique identifier for the PWA. Useful for updates and maintaining identity across installations.
display Opcional Cadena Valores permitidos: fullscreen, standalone, minimal-ui, browser
orientation Opcional Cadena Valores permitidos: portrait, landscape, any
dir Opcional Cadena Valores permitidos: auto, ltr, rtl
lang Opcional Cadena en for English, de for German, etc.
scope_url Opcional Cadena Defines the navigation scope of your PWA. Only pages within this scope will be accessible while the app is running. Typically matches the start URL path.
curl --request POST \
--url 'https://pushye.com/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Updated example app' \
--form 'theme_color=#000000'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Updated example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#000000",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Updated example app",
            "short_name": "Example",
            "start_url": "https://example.com/",
            "display": "standalone",
            "theme_color": "#000000",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": "2026-07-29 02:28:48",
        "datetime": "2026-07-29 02:28:48"
    }
}
DELETE https://pushye.com/api/pwas/{pwa_id}
curl --request DELETE \
--url 'https://pushye.com/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \